#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdint.h>
#include <stdlib.h>
#include <stdbool.h>
#include <string.h>
#include "TarHandler.h"


#define TAR_FILE "test.tar"

#define BLOCK_SIZE 1522


int main(void)
{
    int fd = open(TAR_FILE, O_RDONLY);
    if(fd < 0) {
        fprintf(stderr, "Unable to open %s\r\n", TAR_FILE);
        return fd;
    }

    int res;
    char block[BLOCK_SIZE];
    size_t processed_blocks = 0;
    TarHandler tar_handler;
    do {
        res = read(fd, block, sizeof(block));
        tar_handler.tcp_in_handler(block, res);
        processed_blocks++;
    } while(res > 0);
    printf("processed blocks: %lu\r\n", processed_blocks);

    close(fd);

    return 0;
}
